
QGIS Application - Bug report #12025

Labels do not show when rotating map canvas and reprojecting a layer.

2015-01-21 01:26 AM - mike Hamilton

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20228

Description

When using the rotate feature on a previously created project, all labels disappear.  After rotation, if creating a new layer with points, the

point's label also does not show up.  If making a WKT point with the QuickWKT plugin, the WKT point's label does work.  This happened

on two separate Windows 7 installs of 2.7.0-3 weekly builds.

Associated revisions

Revision 450c3eff - 2015-06-02 11:54 PM - Nyall Dawson

Fix missing labels if map rotation is enabled with OTF reprojection

(fix #12025)

History

#1 - 2015-01-21 04:37 AM - Giovanni Manghi

- Target version deleted (Version 2.8)

- Status changed from Open to Feedback

Are this two separate issues, right? If yes please file 1 ticket for each issue, thanks.

About the (canvas) map rotation and labels: I cannot confirm. I created a project with labels in qgis 2.6.1, opened it in master an applied a rotation. The

labels do show as expected. Please attach a project (with data) to allow replicate the issue.

About the wkt/label issue: I can also create a wkt layer with the quickwkt plugin and give the points a label without issue (without or with canvas rotation).

Please add more details (steps) on how replicate the possible issue.

#2 - 2015-03-10 01:44 PM - Karol Piela

I want to confirm bug reported by Mike. Labeling is working with map rotated only when project CRS is set to WGS 84. In other case, after rotating map

labels are placed somewhere in space... It occurs both in main window and map composer. I'm not sure if writing in good place, but I'm new here, sorry.

#3 - 2015-03-12 06:07 AM - ololomp iiiii

- Target version set to Version 2.8

I have this bug too on 2 computers
windows 8

version 2.8

seems that labels are not rotated correctly with the map canvas

#4 - 2015-03-15 08:56 AM - Andy Kursch

I can confirm the label issue with map rotation in QGIS and composer. 

In EPSG4326 (WGS84) labels show when the map item is rotated. When in EPSG32616 (WGS84/UTM16N)the labels disappear in composer when the

map is rotated.

windows 7 x64

version 2.8.1

#5 - 2015-03-16 11:10 AM - Giovanni Manghi

- Subject changed from Labels do not show when using new rotation feature. to Labels do not show when rotating map canvas and reprojecting a layer.

- Category changed from Labelling to Map Canvas

- OS version deleted (Windows 7)

- Operating System deleted (Windows)

- Target version changed from Version 2.8 to Version 2.8.2

- Status changed from Feedback to Open

So the labels do not show if the map is rotated and the layer reprojected in a CRS different from the project one.

#6 - 2015-03-17 01:11 AM - Sandro Santilli

- Tag set to rotation

#7 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#8 - 2015-06-02 02:57 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"450c3effd51c5be5f99cb2ddf52c181be4f04f08".
